// 查询告警工单列表
import request from "@/utils/request";

export function listHandleOrder(query) {
  return request({
    url: "/maintenance/handle-order/list",
    method: "get",
    params: query,
  });
}

// 查询告警工单详细
export function getHandleOrder(orderId) {
  return request({
    url: "/maintenance/handle-order/" + orderId,
    method: "get",
  });
}

// 删除告警工单
export function delHandleOrder(orderId) {
  return request({
    url: "/maintenance/handle-order/" + orderId,
    method: "delete",
  });
}

// 修改告警工单
export function updateHandleOrder(data) {
  return request({
    url: "/maintenance/handle-order",
    method: "put",
    data: data,
  });
}

// 提交告警工单审核
export function commitHandleOrder(orderIds) {
  return request({
    url: `/maintenance/handle-order/commit/${orderIds}`,
    method: "put",
  });
}
